The Hackerlab at `regexps.com`

## arch Commands in General

up: arch Meets hello-world next: Summary of the Examples prev: System Requirements

Every command in `arch` is accessed via the program `larch` , using an ordinary sub-command syntax:

            % larch <sub-command> <options> <parameters>

A list of sub-commands can be obtained from:

            % larch --help-commands

The most complete documentation for each command is available via its help message. The help messages in `arch` are roughly comparable to traditional unix `man` pages. For example, try:

            % larch make-archive --help
            create a new archive directory
            usage: make-archive [options] (-u | name) directory

             -V --version                  print version info
             -h --help                     display help

             -r --readme file              save FILE as the README
                                           for this archive

             -u --update                   update an existing archive

            NAME is the global name for the archive.  It must be an
            email address with a fully qualified domain name, optionally
            followed by "--" and a string of letters, digits, periods
            and dashes.

            [....]

There is a great deal of regularity among commands regarding option names and parameter syntax. Hopefully, you'll pick this up as you learn the various commands.

arch Meets hello-world: A Tutorial Introduction to The arch Revision Control System
The Hackerlab at `regexps.com`